SDL_CreateProperties(3)

NAME
SDL_CreateProperties - Create a group of properties.

SYNOPSIS
#include <SDL3/SDL_properties.h>

SDL_PropertiesID SDL_CreateProperties(void);

DESCRIPTION
All properties are automatically destroyed when SDL_Quit() is called.

RETURN VALUE
Returns an ID for a new group of properties, or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DestroyProperties(3)